<%@ page import="org.apache.struts.Globals"%>
<%@ page import="org.apache.struts.taglib.html.Constants"%>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="com.ibm.itim.ui.api.UIProperties" %>
<%@ page import="com.ibm.itim.ui.api.AbstractITIMManagerFactory" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html"%>
<%@ taglib uri="http://struts.apache.org/tags-tiles" prefix="tiles"%>


<div id="bar">

<div id="helpLogoff">

<a id="helpLink" href="javascript:launchHelp('<c:out value='${helpUrl}'/>')" ><fmt:message key="toolbar_help"/></a>
<label class="hidden-label" for="helpLink"><fmt:message key="toolbar_help_link"/></label>

<% 
	boolean validateSessionOnLogoffAction = false;
	String token = null; 
	if(session != null){
		validateSessionOnLogoffAction = AbstractITIMManagerFactory.getFactory().getUIProperties(session).validateSessionOnLogoffAction();
		token = (String)session.getAttribute(Globals.TRANSACTION_TOKEN_KEY);
	}
%>
<c:if test="${loggedIn == true}">
	<c:set var="validateSessionOnLogoffAction" scope="request" value="<%=String.valueOf(validateSessionOnLogoffAction) %>" />
	<c:set var="token" scope="request" value="<%= token %>" />
	<c:choose>
		<c:when test="${pageContext.request.session != null && token != null && validateSessionOnLogoffAction == true}">
			<a id="logoffLink" href="/itim/self/Login/Logoff.do?<%= Constants.TOKEN_KEY %>=<%= URLEncoder.encode((String)session.getAttribute(Globals.TRANSACTION_TOKEN_KEY), "UTF-8") %>"><fmt:message key="toolbar_logoff"/></a>
		</c:when>
		<c:otherwise>
			<a id="logoffLink" href="/itim/self/Login/Logoff.do" ><fmt:message key="toolbar_logoff"/></a>
		</c:otherwise>
	</c:choose>
	<label class="hidden-label" for="logoffLink"><fmt:message key="toolbar_logoff_link"/></label>
</c:if>
</div>  <%--end help logoff --%>

	<div id="userInfo">
	<c:if test="${!empty usercn and loggedIn == true}">
		<fmt:message key="toolbar_username" >
			<fmt:param><c:out value="${usercn}"/></fmt:param>
		</fmt:message>	
	</c:if>
	</div> <%-- end user info --%>

</div> <%-- div bar --%>
<div id="breadcrumbBar">
<div id="breadcrumbs">
		<c:if test="${!empty breadcrumbs}">
	
		<c:forEach items="${breadcrumbs}" var="breadcrumb" varStatus="status">
			<c:if test="${status.index > 0}">
				&nbsp;&gt;&nbsp;
			</c:if>	
			<c:choose>
				<c:when test="${!empty breadcrumbLinks[status.index]}">
					<html:link action="${breadcrumbLinks[status.index]}"><fmt:message key="${breadcrumb}"/></html:link>
				</c:when>
				<c:otherwise>
					<fmt:message key="${breadcrumb}"/>
				</c:otherwise>
			</c:choose>	
		</c:forEach>
	
</c:if>
</div> <%-- div breadcrumbBar --%>
</div> <%-- div breadcrumbs --%>

